<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use GuzzleHttp\Psr7\Response;

// phpcs:ignore
class PAGE_RechercheArticlesController extends AbsApiController
{

    public function INITAction() :Response
    {
        $trad = $this->getTranslationService();
        
        $return['Trads']['MLS_Onglet1']                         = $trad->t('Catalogues');
        $return['Trads']['MLS_Onglet2']                         = $trad->t('Génériques');
        $return['Trads']['MLS_Onglet3']                         = $trad->t('Sous familles');
        $return['Trads']['MLS_Texte_Fournisseur']               = $trad->t('Fournisseur') . $trad->colon();
        $return['Trads']['MLS_Texte_Reference']                 = $trad->t('Réf') . $trad->colon();
        $return['Trads']['MLS_Texte_Unite']                     = $trad->t('Unité') . $trad->colon();
        $return['Trads']['MLS_Texte_HT_TTC']                    = $trad->t('H.T.');
        $return['Trads']['MLS_Texte_Total']                     = $trad->t('Total (H.T.)');
        $return['Trads']['MLS_BTN_Retirer']                     = $trad->t('-');
        $return['Trads']['MLS_BTN_Ajouter']                     = $trad->t('+');
        $return['Trads']['MLS_TitreArticles']                   = $trad->t('Articles');
        $return['Trads']['MLS_TitreArticlesStock']              = $trad->t('Articles de stock');
        $return['Trads']['MLS_ConfirmSupprCdeRapide']           = $trad->t('Confirmez-vous l\'abandon de la commande rapide ?');
        $return['Trads']['MLS_ConfirmSupprCdeRapideEtPanier']   = $trad->t('Confirmez-vous l\'abandon de la commande rapide ? %1 Votre panier en cours sera supprimé.');
        $return['Trads']['MLS_ConfirmSupprRayon']               = $trad->t('Confirmez-vous la suppression du filtre sur le rayon ?');
        $return['Trads']['MLS_BtnDesactiverFiltres']            = $trad->t('Désactiver les filtres');
        $return['Trads']['MLS_PopupFiltres_Par_Fourn']          = $trad->t('Filtrer par fournisseur');
        $return['Trads']['MLS_PopupFiltres_Par_Cat']            = $trad->t('Filtrer par catalogue');
        $return['Trads']['MLS_PopupFiltres_Par_SousFam']        = $trad->t('Filtrer par sous-famille');
        $return['Trads']['MLS_PopupFiltres_Par_Fabricant']      = $trad->t('Filtrer par fabricant');
        $return['Trads']['MLS_PopupFiltres_Par_Gamme']          = $trad->t('Filtrer par gamme');
        $return['Trads']['MLS_Texte_Aucun_Res']                 = $trad->t('La recherche ne retourne aucun résultat');
        $return['Trads']['MLS_Filtre_VoirResultat']             = $trad->t('Voir les %1 résultat(s)');
        $return['Trads']['MLS_Que_Recherchez_Vous']             = $trad->t('Que recherchez-vous ?');
        $return['Trads']['MLS_BTN_Categorie']                   = $trad->t('Catégories');
        $return['Trads']['MLS_BTN_Filtrer']                     = $trad->t('Filtrer');
        $return['Trads']['MLS_Ref_Four']                        = $trad->t('Réf Four') . $trad->colon();
        $return['Trads']['MLS_Ref_Fab']                         = $trad->t('Réf Fab') . $trad->colon();
        $return['Trads']['MLS_PrixNonDispo']                    = $trad->t('Prix non disponible');
       
        return $this->createApiResponse($return);
    }
}
